Package org.apache.storm.generated

## Class WorkerMetricPoint

- java.lang.Object
- - org.apache.storm.generated.WorkerMetricPoint

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Comparable<WorkerMetricPoint>`, `org.apache.storm.thrift.TBase<WorkerMetricPoint,​WorkerMetricPoint._Fields>`, `org.apache.storm.thrift.TSerializable`

      @Generated("Autogenerated by Thrift Compiler (0.19.0)")
      public class WorkerMetricPoint
      extends Object
      implements org.apache.storm.thrift.TBase<WorkerMetricPoint,​WorkerMetricPoint._Fields>, Serializable, Cloneable, Comparable<WorkerMetricPoint>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `WorkerMetricPoint._Fields` | The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Map<WorkerMetricPoint._Fields,​org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WorkerMetricPoint()` |
    `WorkerMetricPoint​(String metricName, long timestamp, double metricValue, String componentId, String executorId, String streamId)` |
    `WorkerMetricPoint​(WorkerMetricPoint other)` | Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` |
    `int` | `compareTo​(WorkerMetricPoint other)` |
    `WorkerMetricPoint` | `deepCopy()` |
    `boolean` | `equals​(Object that)` |
    `boolean` | `equals​(WorkerMetricPoint that)` |
    `WorkerMetricPoint._Fields` | `fieldForId​(int fieldId)` |
    `String` | `get_componentId()` |
    `String` | `get_executorId()` |
    `String` | `get_metricName()` |
    `double` | `get_metricValue()` |
    `String` | `get_streamId()` |
    `long` | `get_timestamp()` |
    `Object` | `getFieldValue​(WorkerMetricPoint._Fields field)` |
    `int` | `hashCode()` |
    `boolean` | `is_set_componentId()` | Returns true if field componentId is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_executorId()` | Returns true if field executorId is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_metricName()` | Returns true if field metricName is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_metricValue()` | Returns true if field metricValue is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_streamId()` | Returns true if field streamId is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_timestamp()` | Returns true if field timestamp is set (has been assigned a value) and false otherwise
    `boolean` | `isSet​(WorkerMetricPoint._Fields field)` | Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `read​(org.apache.storm.thrift.protocol.TProtocol iprot)` |
    `void` | `set_componentId​(String componentId)` |
    `void` | `set_componentId_isSet​(boolean value)` |
    `void` | `set_executorId​(String executorId)` |
    `void` | `set_executorId_isSet​(boolean value)` |
    `void` | `set_metricName​(String metricName)` |
    `void` | `set_metricName_isSet​(boolean value)` |
    `void` | `set_metricValue​(double metricValue)` |
    `void` | `set_metricValue_isSet​(boolean value)` |
    `void` | `set_streamId​(String streamId)` |
    `void` | `set_streamId_isSet​(boolean value)` |
    `void` | `set_timestamp​(long timestamp)` |
    `void` | `set_timestamp_isSet​(boolean value)` |
    `void` | `setFieldValue​(WorkerMetricPoint._Fields field, Object value)` |
    `String` | `toString()` |
    `void` | `unset_componentId()` |
    `void` | `unset_executorId()` |
    `void` | `unset_metricName()` |
    `void` | `unset_metricValue()` |
    `void` | `unset_streamId()` |
    `void` | `unset_timestamp()` |
    `void` | `validate()` |
    `void` | `write​(org.apache.storm.thrift.protocol.TProtocol oprot)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<WorkerMetricPoint._Fields,​org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### WorkerMetricPoint

          public WorkerMetricPoint()

    - #### WorkerMetricPoint

          public WorkerMetricPoint​(String metricName,
                                   long timestamp,
                                   double metricValue,
                                   String componentId,
                                   String executorId,
                                   String streamId)

    - #### WorkerMetricPoint

          public WorkerMetricPoint​(WorkerMetricPoint other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public WorkerMetricPoint deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<WorkerMetricPoint,​WorkerMetricPoint._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<WorkerMetricPoint,​WorkerMetricPoint._Fields>`

    - #### get_metricName

          public String get_metricName()

    - #### set_metricName

          public void set_metricName​(String metricName)

    - #### unset_metricName

          public void unset_metricName()

    - #### is_set_metricName

          public boolean is_set_metricName()

      Returns true if field metricName is set (has been assigned a value) and false otherwise

    - #### set_metricName_isSet

          public void set_metricName_isSet​(boolean value)

    - #### get_timestamp

          public long get_timestamp()

    - #### set_timestamp

          public void set_timestamp​(long timestamp)

    - #### unset_timestamp

          public void unset_timestamp()

    - #### is_set_timestamp

          public boolean is_set_timestamp()

      Returns true if field timestamp is set (has been assigned a value) and false otherwise

    - #### set_timestamp_isSet

          public void set_timestamp_isSet​(boolean value)

    - #### get_metricValue

          public double get_metricValue()

    - #### set_metricValue

          public void set_metricValue​(double metricValue)

    - #### unset_metricValue

          public void unset_metricValue()

    - #### is_set_metricValue

          public boolean is_set_metricValue()

      Returns true if field metricValue is set (has been assigned a value) and false otherwise

    - #### set_metricValue_isSet

          public void set_metricValue_isSet​(boolean value)

    - #### get_componentId

          public String get_componentId()

    - #### set_componentId

          public void set_componentId​(String componentId)

    - #### unset_componentId

          public void unset_componentId()

    - #### is_set_componentId

          public boolean is_set_componentId()

      Returns true if field componentId is set (has been assigned a value) and false otherwise

    - #### set_componentId_isSet

          public void set_componentId_isSet​(boolean value)

    - #### get_executorId

          public String get_executorId()

    - #### set_executorId

          public void set_executorId​(String executorId)

    - #### unset_executorId

          public void unset_executorId()

    - #### is_set_executorId

          public boolean is_set_executorId()

      Returns true if field executorId is set (has been assigned a value) and false otherwise

    - #### set_executorId_isSet

          public void set_executorId_isSet​(boolean value)

    - #### get_streamId

          public String get_streamId()

    - #### set_streamId

          public void set_streamId​(String streamId)

    - #### unset_streamId

          public void unset_streamId()

    - #### is_set_streamId

          public boolean is_set_streamId()

      Returns true if field streamId is set (has been assigned a value) and false otherwise

    - #### set_streamId_isSet

          public void set_streamId_isSet​(boolean value)

    - #### setFieldValue

          public void setFieldValue​(WorkerMetricPoint._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<WorkerMetricPoint,​WorkerMetricPoint._Fields>`

    - #### getFieldValue

          public Object getFieldValue​(WorkerMetricPoint._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<WorkerMetricPoint,​WorkerMetricPoint._Fields>`

    - #### isSet

          public boolean isSet​(WorkerMetricPoint._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<WorkerMetricPoint,​WorkerMetricPoint._Fields>`

    - #### equals

          public boolean equals​(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals​(WorkerMetricPoint that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo​(WorkerMetricPoint other)

      Specified by:
        `compareTo` in interface `Comparable<WorkerMetricPoint>`

    - #### fieldForId

          public WorkerMetricPoint._Fields fieldForId​(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<WorkerMetricPoint,​WorkerMetricPoint._Fields>`

    - #### read

          public void read​(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write​(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`